<?php

require_once '../services/api_config.php';


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $OrderID = isset($_POST['OrderID']) ? $_POST['OrderID'] : '';
    $ItemID = isset($_POST['ItemID']) ? $_POST['ItemID'] : '';
    $Cost = isset($_POST['Cost']) ? $_POST['Cost'] : '';
    $Price = isset($_POST['Price']) ? $_POST['Price'] : '';
    $FullPrice = isset($_POST['FullPrice']) ? $_POST['FullPrice'] : '';
    $Quantity = isset($_POST['Quantity']) ? $_POST['Quantity'] : '';
    $SalesTax = isset($_POST['SalesTax']) ? $_POST['SalesTax'] : '';
    $type = isset($_POST['type']) ? $_POST['type'] : '';
    $serialNumber = isset($_POST['serialNumber']) ? $_POST['serialNumber'] : '';
    $branchid = isset($_POST['branchid']) ? $_POST['branchid'] : '';

    // Todo => validate user input 

    // Make a POST request to postOdersEntry API
    $api_url = API_URL . "postOdersEntry.php";
    $data = json_encode([
        'OrderID' => $OrderID,
        'ItemID' => $ItemID,
        'Cost' => $Cost,
        'Price' => $Price,
        'FullPrice' => $FullPrice,
        'Quantity' => $Quantity,
        'SalesTax' => $SalesTax,
        'type' => $type,
        'serialNumber' => $serialNumber,
        'branchid' => $branchid,
    ]);


    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
        // Decode the JSON response
        $result = json_decode($response, true);


        echo json_encode($result);
    }
    
    // Close cURL session
    curl_close($ch);
}
