<?php
require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $email = isset($_POST['email']) ? $_POST['email'] : '';
    $cell = isset($_POST['cell']) ? $_POST['cell'] : '';
    $code = isset($_POST['code']) ? $_POST['code'] : '';
    $password = isset($_POST['password']) ? $_POST['password'] : '';

    // Todo => validate user input 

    // Make a POST request to  reset_password  API
    $api_url = API_URL . "reset_password.php";
    $data = json_encode(['cell' => $cell,'code' => $code,'password' => $password]);

    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
        // Decode the JSON response
        $result = json_decode($response, true);

        if ($result['success'] === true) {
         
            echo json_encode($result);
        } else {
            

            echo json_encode($result);
        }


       
    }

    // Close cURL session
    curl_close($ch);
}
