<?php
session_start();
require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $number = isset($_POST['typeNumber']) ? $_POST['typeNumber'] : '';
    $password = isset($_POST['typePasswordX']) ? $_POST['typePasswordX'] : '';

    // Todo => validate user input 

    // Make a POST request to  login API
    $api_url = API_URL . "login.php";
    $data = json_encode(['number' => $number, 'password' => $password]);

    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
        // Decode the JSON response
        $result = json_decode($response, true);

        if ($result['success'] === true) {
            // Login successful, save user data to session
            $_SESSION['user'] = $result['data'];

            echo json_encode($result);
        } else {
            

            echo json_encode($result);
        }


       
    }

    // Close cURL session
    curl_close($ch);
}
