<?php

require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $fullname = isset($_POST['fullname']) ? $_POST['fullname'] : '';
    $email = isset($_POST['email']) ? $_POST['email'] : '';
    $cell = isset($_POST['cell']) ? $_POST['cell'] : '';
    $password = isset($_POST['password']) ? $_POST['password'] : '';

    // Todo => validate user input 

    // Make a POST request to  Registration API
    $api_url = API_URL . "register.php";
    $data = json_encode(['fullname' => $fullname, 'email' => $email, 'cell' => $cell, 'password' => $password]);

    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {


        // Decode the JSON response
        $result = json_decode($response, true);

        // Return the result
        echo json_encode($result);
    }

    // Close cURL session
    curl_close($ch);
}
